<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: MCUStatusInfoType Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('a00038.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">MCUStatusInfoType Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>MCU status structure used in <a class="el" href="a00002.html#a830a0ec11bc7e1a83accadde40bd5afc" title="Reads the device status information from the MCU, which are i.e.">getMCUStatusInfo()</a>.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="a00008_source.html">types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ae457ad41e96246838e5b7713d7a95952" id="r_ae457ad41e96246838e5b7713d7a95952"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae457ad41e96246838e5b7713d7a95952">hasPower</a></td></tr>
<tr class="separator:ae457ad41e96246838e5b7713d7a95952"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6d33c597ce90a3553b7e437c70378e3" id="r_ac6d33c597ce90a3553b7e437c70378e3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac6d33c597ce90a3553b7e437c70378e3">isReady</a></td></tr>
<tr class="separator:ac6d33c597ce90a3553b7e437c70378e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1249c0d32c68d5665c990212349fc571" id="r_a1249c0d32c68d5665c990212349fc571"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1249c0d32c68d5665c990212349fc571">isAlmostReady</a></td></tr>
<tr class="separator:a1249c0d32c68d5665c990212349fc571"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>MCU status structure used in <a class="el" href="a00002.html#a830a0ec11bc7e1a83accadde40bd5afc" title="Reads the device status information from the MCU, which are i.e.">getMCUStatusInfo()</a>. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="ae457ad41e96246838e5b7713d7a95952" name="ae457ad41e96246838e5b7713d7a95952"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae457ad41e96246838e5b7713d7a95952">&#9670;&#160;</a></span>hasPower</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> hasPower</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1249c0d32c68d5665c990212349fc571" name="a1249c0d32c68d5665c990212349fc571"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1249c0d32c68d5665c990212349fc571">&#9670;&#160;</a></span>isAlmostReady</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> isAlmostReady</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac6d33c597ce90a3553b7e437c70378e3" name="ac6d33c597ce90a3553b7e437c70378e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6d33c597ce90a3553b7e437c70378e3">&#9670;&#160;</a></span>isReady</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> isReady</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="a00038.html">MCUStatusInfoType</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
